Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227181 - Review Request: sonata - An elegant GTK+ client for the Music Player Daemon (MPD)
Summary: Review Request: sonata - An elegant GTK+ client for the Music Player Daemon (...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-02 22:07 UTC by Michał Bentkowski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-17 18:29:46 UTC
mtasaka: fedora-review+


Attachments (Terms of Use)

Description Michał Bentkowski 2007-02-02 22:07:51 UTC
Spec URL: http://ecik.nonlogic.org/rpm/sonata/sonata.spec
SRPM URL: http://ecik.nonlogic.org/rpm/sonata/sonata-1.0-1.src.rpm
Description: 
Sonata is a lightweight GTK+ music client for the Music Player Daemon (MPD).
It aims to be efficient (no toolbar, main menu, or statusbar), user-friendly,
and clean.

Features:
 - Expanded and collapsed views
 - Automatic remote or local album art
 - Automatic fetching of lyrics
 - Playlist and stream support
 - Support for editing tags
 - System tray icon with tooltip
 - Optional popup notification
 - Library searching by artist, song, etc.
 - Keyboard friendly
 - Support for multimedia keys
 - Commandline control

Comment 1 Mamoru TASAKA 2007-02-14 09:23:48 UTC
I have not checked this package yet, however,

* Source0
  - I just checked upstream and 1.0.1 seems to be released
    (yesterday?)
* category removement
--------------------------------
# Application category is obsoleted, so let's get rid of it in desktop file
sed "s#Application;##" -i %{name}.desktop
--------------------------------
   Usually this is dealt like
--------------------------------
desktop-file-install --vendor="fedora"                          \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --remove-category Application \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
--------------------------------

* missing source(?)
- Mockbuild on FC7 i386 says
----------------------------------------------
+ /usr/lib/rpm/find-debuginfo.sh /builddir/build/BUILD/sonata-1.0
extracting debug info from
/var/tmp/sonata-1.0-1.fc7-root-mockbuild/usr/lib/python2.5/site-packages/mmkeys.so
cpio: sonata-1.0/mmkeys.c: No such file or directory <-???
17 blocks
+ /usr/lib/rpm/check-buildroot
----------------------------------------------
  I will check what is happening, however, would you check
  this, too?

Comment 2 Michał Bentkowski 2007-02-14 11:21:01 UTC
(In reply to comment #1)
> I have not checked this package yet, however,
> 
> * Source0
>   - I just checked upstream and 1.0.1 seems to be released
>     (yesterday?)

I'll upload a new SRPM later.

>   I will check what is happening, however, would you check
>   this, too?
I checked mock build at home and it builded fine. Probably this problem is
related with python-2.5. However, maybe the new SRPM I'm going to upload later
will fix this problem.


Comment 3 Michał Bentkowski 2007-02-14 11:41:05 UTC
New SPEC: http://ecik.nonlogic.org/rpm/sonata/sonata.spec
New SRPM: http://ecik.nonlogic.org/rpm/sonata/sonata-1.0.1-1.src.rpm

Mamoru, test it on fc7/i386 please.

Comment 4 Mamoru TASAKA 2007-02-14 14:16:57 UTC
(In reply to comment #1)
> ----------------------------------------------
> + /usr/lib/rpm/find-debuginfo.sh /builddir/build/BUILD/sonata-1.0
> extracting debug info from
> /var/tmp/sonata-1.0-1.fc7-root-mockbuild/usr/lib/python2.5/site-packages/mmkeys.so
> cpio: sonata-1.0/mmkeys.c: No such file or directory <-???
> 17 blocks
> + /usr/lib/rpm/check-buildroot
> ----------------------------------------------

This turned out to be due to be the #line comment in 
mmkeys/mmkeyspy.c and then can be ignored.

Well, I just launched sonata, and sonata prints out some
warning about dbus. Is this okay?
-----------------------------------------------------
GTK Accessibility Module initialized
Taglib and tagpy not found, tag editing support disabled.
/usr/lib/python2.5/site-packages/sonata.py:5579: DeprecationWarning: The
dbus_bindings module is deprecated and will go away soon.

dbus-python 0.80 provides only a partial emulation of the old
dbus_bindings, which was never meant to be public API.

Most uses of dbus_bindings are applications catching the exception
dbus.dbus_bindings.DBusException. You should use dbus.DBusException
instead (this is compatible with all dbus-python versions since 0.40.2).

If you need additional public API, please contact the maintainers via
<dbus@lists.freedesktop.org>.

  retval = dbus.dbus_bindings.bus_request_name(session_bus.get_connection(),
"org.MPD.Sonata", dbus.dbus_bindings.NAME_FLAG_DO_NOT_QUEUE)
/usr/lib/python2.5/site-packages/dbus/_dbus.py:853: DeprecationWarning: The
dbus_bindings module is deprecated and will go away soon.

dbus-python 0.80 provides only a partial emulation of the old
dbus_bindings, which was never meant to be public API.

Most uses of dbus_bindings are applications catching the exception
dbus.dbus_bindings.DBusException. You should use dbus.DBusException
instead (this is compatible with all dbus-python versions since 0.40.2).

If you need additional public API, please contact the maintainers via
<dbus@lists.freedesktop.org>.

  import dbus.dbus_bindings as m
Sonata failed to connect to the D-BUS session bus: Unable to determine the
address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)
--------------------------------------------------------------

Comment 5 Michał Bentkowski 2007-02-14 14:48:49 UTC
Another thing seems to be related with python-2.5. Probably should be ignored; 
anyway I'm going to report it to the upstream.

Comment 6 Mamoru TASAKA 2007-02-14 15:50:13 UTC
Well, I struggled with sonata and finally I just found that I 
don't know at all about mpd... Oops...

So currently I judge that this application perhaps  works
with mpd (because I don't know about mpd) and assign this 
bug to myself.

Comment 7 Mamoru TASAKA 2007-02-14 17:00:12 UTC
Well, then I will do the formal review for
sonata-1.0.1-1

* Python related Requies
  - Well, requirement related to python modules are
    not detected automatically by rpmbuild and this
    must be checked manually. So:
---------------------------------------------------------
# LANG=C grep import `rpm -ql sonata` | grep -v Binary | sed -e 's|^.*:||' | sed
-e 's|^[ \t][ \t]*||' | sort | uniq 
#       import gnome, gnome.ui
from SOAPpy import WSDL -> SOAPpy
import ConfigParser
import dbus  ->   dbus-python
import dbus.glib -> dbus-python
import dbus.service -> dbus-python
import egg.trayicon -> gnome-python2-libegg
import gc
import getopt 
import gettext 
import gobject -> pygobject
import gtk  -> pygtk2
import locale
import mmkeys
import mpdclient3
import os
import pango  -> pygtk2
import shutil
import socket
import sonata
import subprocess
import sugar (not available)
import sys
import tagpy (not available)
import threading
import urllib, urllib2
-------------------------------------------------------------
      So, please add "dbus-python gnome-python2-libegg" to
      Requires.

Well, other things are okay. Please fix the issue
above.

------------------------------------------------------
   This package (sonata) is APPROVED by me.
------------------------------------------------------

Comment 8 Michał Bentkowski 2007-02-14 17:58:19 UTC
(In reply to comment #7)
> -------------------------------------------------------------
>       So, please add "dbus-python gnome-python2-libegg" to
>       Requires.

Right.
New SPEC: http://ecik.nonlogic.org/rpm/sonata/sonata.spec
New SRPM: http://ecik.nonlogic.org/rpm/sonata/sonata-1.0.1-2.src.rpm

Comment 9 Mamoru TASAKA 2007-02-14 18:09:48 UTC
Well, okay. Please add this package to
http://fedoraproject.org/wiki/Extras/CVSSyncNeeded
and wait until cvsadmin reports to this bug that it is 
ready to import this package.

Comment 10 Mamoru TASAKA 2007-02-17 10:21:32 UTC
(Please close this bug when importing is done)

Comment 11 Michał Bentkowski 2007-02-17 18:29:46 UTC
There were certain problems on FC-6 building fixed now.
Closing.



Note You need to log in before you can comment on or make changes to this bug.